# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.DetailedCharacterData
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.DetailedCharacterData
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.DetailedCharacterData

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- AegisShieldGeneratorData
- AmmoBoxData
- BasicCharacterData
- CaptureFlagData
- CharacterAppearanceA
- CharacterAppearanceB
- CharacterAppearanceData
- CharacterData
- CommonFieldData
- CommonFieldDataExtra
- CommonFieldDataWithPlacement
- ConstructorData
- DCDExtra1
- DCDExtra2
- DestroyedVehicleData
- DetailedAmmoBoxData
- DetailedCharacterA
- DetailedCharacterB
- DetailedCharacterData
- DetailedCommandDetonaterData
- DetailedConstructionToolData
- DetailedLockerContainerData
- DetailedPlayerData
- DetailedREKData
- DetailedWeaponData
- DrawnSlot
- DroppedItemData
- DroppodData
- FlightPhysics
- HandheldData
- ImplantEffects
- ImplantEntry
- InternalSlot
- InventoryData
- InventoryItemData
- LargeDeployableData
- LockerContainerData
- MountItem
- ObjectClass
- ObjectCreateBase
- ObjectCreateMessageParent
- OneMannedFieldTurretData
- OrbitalShuttleData
- PlacementData
- PlayerData
- Prefab
- REKData
- RemoteProjectileData
- RemoteProjectiles
- RibbonBars
- SmallTurretData
- SpecificVehicleData
- StreamBitSize
- TRAPData
- TelepadDeployableData
- TerminalData
- UniformStyle
- UtilityVehicleData
- VariantVehicleData
- VehicleData
- VehicleFormat
- WeaponData

o

net.psforever.packet.game.objectcreate

# DetailedCharacterData 

###
Companion class DetailedCharacterData

#### object DetailedCharacterData extends Marshallable[DetailedCharacterData] with Serializable

Source
  DetailedCharacterData.scala

Linear Supertypes
Serializable, Marshallable[DetailedCharacterData], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DetailedCharacterData
2. Serializable
3. Marshallable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def a_codec(suit: types.ExoSuitType.Value): Codec[DetailedCharacterA]
5.  def apply(bep: Long, cep: Long, healthMax: Int, health: Int, armor: Int, staminaMax: Int, stamina: Int, maxField: Option[Long], certs: List[Certification], implants: List[ImplantEntry], firstTimeEvents: List[String], tutorials: List[String], cosmetics: Option[Set[Cosmetic]]): (Option[Int]) => DetailedCharacterData
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def b_codec(bep: Long, pad_length: Option[Int]): Codec[DetailedCharacterB]
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def codec(suit: types.ExoSuitType.Value, pad_length: Option[Int]): Codec[DetailedCharacterData]
10.  implicit val codec: Codec[DetailedCharacterData]
    Definition Classes
      DetailedCharacterData → Marshallable
11.  def decode(a: BitVector): Attempt[DecodeResult[DetailedCharacterData]]
    Definition Classes
      Marshallable
12.  def displaceByUnk9(start: Option[Int], test: Option[Any], value: Int): Option[Int]

    A very specific `Option` object addition function.

    A very specific `Option` object addition function. If a condition is met, the current `Optional` value is incremented by a specific amount.

    start

      the original amount

    test

      the test on whether to add to `start`

    value

      how much to add to `start`

    returns

      the amount after testing

13.  def encode(a: DetailedCharacterData): Attempt[BitVector]
    Definition Classes
      Marshallable
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def paddingCalculations(base: Int, contextOffset: Option[Int], implants: List[ImplantEntry], prevLists: List[List[Any]])(currListLen: Long): Int

    A curried function to calculate a cumulative padding value for whichever of the groups of `List` objects of `String` objects are found in a `DetailedCharacterData` object.

    A curried function to calculate a cumulative padding value for whichever of the groups of `List` objects of `String` objects are found in a `DetailedCharacterData` object. The specific `String` object being considered is determined by the number of input lists.

    base

      the starting value with no implant entries, or bits from context

    contextOffset

      an inherited modification of the `base` padding value

    implants

      the list of implants in the stream

    prevLists

      all of the important previous lists

    currListLen

      the length of the current list

    returns

      the padding value for the target list; a value clamped between 0 and 7

    Exceptions thrown

      `Exception` if the number of input lists (`prevLists`) exceeds the number of expected bit distances between known lists

    See also

      `paddingCalculations(Option[Int], List[ImplantEntry], List[List[Any/]/])(Long)`

24.  def paddingCalculations(contextOffset: Option[Int], implants: List[ImplantEntry], prevLists: List[List[Any]])(currListLen: Long): Int

    A curried function to calculate a cumulative padding value for whichever of the groups of `List` objects of `String` objects are found in a `DetailedCharacterData` object.

    A curried function to calculate a cumulative padding value for whichever of the groups of `List` objects of `String` objects are found in a `DetailedCharacterData` object. Defines the expected base value - the starting value for determining the padding. The specific `String` object being considered is determined by the number of input lists.

    contextOffset

      an inherited modification of the `base` padding value

    implants

      the list of implants in the stream

    prevLists

      all of the important previous lists

    currListLen

      the length of the current list

    returns

      the padding value for the target list

    See also

      `paddingCalculations(Int, Option[Int], List[ImplantEntry], List[List[Any]])(Long)`

25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Marshallable[DetailedCharacterData]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped